// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : DayModel的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DayModel_PlantNr = grmi.NewField("PlantNr", "DayModel.PlantNr", "plantnr", grmi.TypeInt)
var DayModel_DayModelNr = grmi.NewField("DayModelNr", "DayModel.DayModelNr", "daymodelnr", grmi.TypeInt)
var DayModel_Descr = grmi.NewField("Descr", "DayModel.Descr", "descr", grmi.TypeString)
var DayModel_Abrev = grmi.NewField("Abrev", "DayModel.Abrev", "abrev", grmi.TypeString)
var DayModel_HexColor = grmi.NewField("HexColor", "DayModel.HexColor", "hexcolor", grmi.TypeString)
var DayModel_S1Toggle = grmi.NewField("S1Toggle", "DayModel.S1Toggle", "s1toggle", grmi.TypeBool)
var DayModel_S2Toggle = grmi.NewField("S2Toggle", "DayModel.S2Toggle", "s2toggle", grmi.TypeBool)
var DayModel_S3Toggle = grmi.NewField("S3Toggle", "DayModel.S3Toggle", "s3toggle", grmi.TypeBool)
var DayModel_WorkShiftToggle = grmi.NewField("WorkShiftToggle", "DayModel.WorkShiftToggle", "workshifttoggle", grmi.TypeBool)
var DayModel_S1WorkShiftNr = grmi.NewField("S1WorkShiftNr", "DayModel.S1_WorkShiftNr", "s1workshiftnr", grmi.TypeInt)
var DayModel_S2WorkShiftNr = grmi.NewField("S2WorkShiftNr", "DayModel.S2_WorkShiftNr", "s2workshiftnr", grmi.TypeInt)
var DayModel_S3WorkShiftNr = grmi.NewField("S3WorkShiftNr", "DayModel.S3_WorkShiftNr", "s3workshiftnr", grmi.TypeInt)
var DayModel_S1Beg = grmi.NewField("S1Beg", "DayModel.S1_Beg", "s1beg", grmi.TypeInt)
var DayModel_S1End = grmi.NewField("S1End", "DayModel.S1_End", "s1end", grmi.TypeInt)
var DayModel_S1Len = grmi.NewField("S1Len", "DayModel.S1_Len", "s1len", grmi.TypeInt)
var DayModel_S2Beg = grmi.NewField("S2Beg", "DayModel.S2_Beg", "s2beg", grmi.TypeInt)
var DayModel_S2End = grmi.NewField("S2End", "DayModel.S2_End", "s2end", grmi.TypeInt)
var DayModel_S2Len = grmi.NewField("S2Len", "DayModel.S2_Len", "s2len", grmi.TypeInt)
var DayModel_S3Beg = grmi.NewField("S3Beg", "DayModel.S3_Beg", "s3beg", grmi.TypeInt)
var DayModel_S3End = grmi.NewField("S3End", "DayModel.S3_End", "s3end", grmi.TypeInt)
var DayModel_S3Len = grmi.NewField("S3Len", "DayModel.S3_Len", "s3len", grmi.TypeInt)
var DayModel_DmLen = grmi.NewField("DmLen", "DayModel.Dm_Len", "dmlen", grmi.TypeInt)
var DayModel_S1B1Beg = grmi.NewField("S1B1Beg", "DayModel.S1_B1_Beg", "s1b1beg", grmi.TypeInt)
var DayModel_S1B1End = grmi.NewField("S1B1End", "DayModel.S1_B1_End", "s1b1end", grmi.TypeInt)
var DayModel_S1B2Beg = grmi.NewField("S1B2Beg", "DayModel.S1_B2_Beg", "s1b2beg", grmi.TypeInt)
var DayModel_S1B2End = grmi.NewField("S1B2End", "DayModel.S1_B2_End", "s1b2end", grmi.TypeInt)
var DayModel_S1B3Beg = grmi.NewField("S1B3Beg", "DayModel.S1_B3_Beg", "s1b3beg", grmi.TypeInt)
var DayModel_S1B3End = grmi.NewField("S1B3End", "DayModel.S1_B3_End", "s1b3end", grmi.TypeInt)
var DayModel_S1B4Beg = grmi.NewField("S1B4Beg", "DayModel.S1_B4_Beg", "s1b4beg", grmi.TypeInt)
var DayModel_S1B4End = grmi.NewField("S1B4End", "DayModel.S1_B4_End", "s1b4end", grmi.TypeInt)
var DayModel_S1B5Beg = grmi.NewField("S1B5Beg", "DayModel.S1_B5_Beg", "s1b5beg", grmi.TypeInt)
var DayModel_S1B5End = grmi.NewField("S1B5End", "DayModel.S1_B5_End", "s1b5end", grmi.TypeInt)
var DayModel_S2B1Beg = grmi.NewField("S2B1Beg", "DayModel.S2_B1_Beg", "s2b1beg", grmi.TypeInt)
var DayModel_S2B1End = grmi.NewField("S2B1End", "DayModel.S2_B1_End", "s2b1end", grmi.TypeInt)
var DayModel_S2B2Beg = grmi.NewField("S2B2Beg", "DayModel.S2_B2_Beg", "s2b2beg", grmi.TypeInt)
var DayModel_S2B2End = grmi.NewField("S2B2End", "DayModel.S2_B2_End", "s2b2end", grmi.TypeInt)
var DayModel_S2B3Beg = grmi.NewField("S2B3Beg", "DayModel.S2_B3_Beg", "s2b3beg", grmi.TypeInt)
var DayModel_S2B3End = grmi.NewField("S2B3End", "DayModel.S2_B3_End", "s2b3end", grmi.TypeInt)
var DayModel_S2B4Beg = grmi.NewField("S2B4Beg", "DayModel.S2_B4_Beg", "s2b4beg", grmi.TypeInt)
var DayModel_S2B4End = grmi.NewField("S2B4End", "DayModel.S2_B4_End", "s2b4end", grmi.TypeInt)
var DayModel_S2B5Beg = grmi.NewField("S2B5Beg", "DayModel.S2_B5_Beg", "s2b5beg", grmi.TypeInt)
var DayModel_S2B5End = grmi.NewField("S2B5End", "DayModel.S2_B5_End", "s2b5end", grmi.TypeInt)
var DayModel_S3B1Beg = grmi.NewField("S3B1Beg", "DayModel.S3_B1_Beg", "s3b1beg", grmi.TypeInt)
var DayModel_S3B1End = grmi.NewField("S3B1End", "DayModel.S3_B1_End", "s3b1end", grmi.TypeInt)
var DayModel_S3B2Beg = grmi.NewField("S3B2Beg", "DayModel.S3_B2_Beg", "s3b2beg", grmi.TypeInt)
var DayModel_S3B2End = grmi.NewField("S3B2End", "DayModel.S3_B2_End", "s3b2end", grmi.TypeInt)
var DayModel_S3B3Beg = grmi.NewField("S3B3Beg", "DayModel.S3_B3_Beg", "s3b3beg", grmi.TypeInt)
var DayModel_S3B3End = grmi.NewField("S3B3End", "DayModel.S3_B3_End", "s3b3end", grmi.TypeInt)
var DayModel_S3B4Beg = grmi.NewField("S3B4Beg", "DayModel.S3_B4_Beg", "s3b4beg", grmi.TypeInt)
var DayModel_S3B4End = grmi.NewField("S3B4End", "DayModel.S3_B4_End", "s3b4end", grmi.TypeInt)
var DayModel_S3B5Beg = grmi.NewField("S3B5Beg", "DayModel.S3_B5_Beg", "s3b5beg", grmi.TypeInt)
var DayModel_S3B5End = grmi.NewField("S3B5End", "DayModel.S3_B5_End", "s3b5end", grmi.TypeInt)
var DayModel_LastModify = grmi.NewField("LastModify", "DayModel.LastModify", "lastmodify", grmi.TypeDateTime)
var DayModel_LastUser = grmi.NewField("LastUser", "DayModel.LastUser", "lastuser", grmi.TypeString)
var DayModel_CreateTime = grmi.NewField("CreateTime", "DayModel.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DayModel的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var DayModel = grmi.NewEntity(
	"DayModel",
	func() interface{} { return &model.DayModel{} },
	map[string]grmi.Field{
		DayModel_PlantNr.Name:         DayModel_PlantNr,
		DayModel_DayModelNr.Name:      DayModel_DayModelNr,
		DayModel_Descr.Name:           DayModel_Descr,
		DayModel_Abrev.Name:           DayModel_Abrev,
		DayModel_HexColor.Name:        DayModel_HexColor,
		DayModel_S1Toggle.Name:        DayModel_S1Toggle,
		DayModel_S2Toggle.Name:        DayModel_S2Toggle,
		DayModel_S3Toggle.Name:        DayModel_S3Toggle,
		DayModel_WorkShiftToggle.Name: DayModel_WorkShiftToggle,
		DayModel_S1WorkShiftNr.Name:   DayModel_S1WorkShiftNr,
		DayModel_S2WorkShiftNr.Name:   DayModel_S2WorkShiftNr,
		DayModel_S3WorkShiftNr.Name:   DayModel_S3WorkShiftNr,
		DayModel_S1Beg.Name:           DayModel_S1Beg,
		DayModel_S1End.Name:           DayModel_S1End,
		DayModel_S1Len.Name:           DayModel_S1Len,
		DayModel_S2Beg.Name:           DayModel_S2Beg,
		DayModel_S2End.Name:           DayModel_S2End,
		DayModel_S2Len.Name:           DayModel_S2Len,
		DayModel_S3Beg.Name:           DayModel_S3Beg,
		DayModel_S3End.Name:           DayModel_S3End,
		DayModel_S3Len.Name:           DayModel_S3Len,
		DayModel_DmLen.Name:           DayModel_DmLen,
		DayModel_S1B1Beg.Name:         DayModel_S1B1Beg,
		DayModel_S1B1End.Name:         DayModel_S1B1End,
		DayModel_S1B2Beg.Name:         DayModel_S1B2Beg,
		DayModel_S1B2End.Name:         DayModel_S1B2End,
		DayModel_S1B3Beg.Name:         DayModel_S1B3Beg,
		DayModel_S1B3End.Name:         DayModel_S1B3End,
		DayModel_S1B4Beg.Name:         DayModel_S1B4Beg,
		DayModel_S1B4End.Name:         DayModel_S1B4End,
		DayModel_S1B5Beg.Name:         DayModel_S1B5Beg,
		DayModel_S1B5End.Name:         DayModel_S1B5End,
		DayModel_S2B1Beg.Name:         DayModel_S2B1Beg,
		DayModel_S2B1End.Name:         DayModel_S2B1End,
		DayModel_S2B2Beg.Name:         DayModel_S2B2Beg,
		DayModel_S2B2End.Name:         DayModel_S2B2End,
		DayModel_S2B3Beg.Name:         DayModel_S2B3Beg,
		DayModel_S2B3End.Name:         DayModel_S2B3End,
		DayModel_S2B4Beg.Name:         DayModel_S2B4Beg,
		DayModel_S2B4End.Name:         DayModel_S2B4End,
		DayModel_S2B5Beg.Name:         DayModel_S2B5Beg,
		DayModel_S2B5End.Name:         DayModel_S2B5End,
		DayModel_S3B1Beg.Name:         DayModel_S3B1Beg,
		DayModel_S3B1End.Name:         DayModel_S3B1End,
		DayModel_S3B2Beg.Name:         DayModel_S3B2Beg,
		DayModel_S3B2End.Name:         DayModel_S3B2End,
		DayModel_S3B3Beg.Name:         DayModel_S3B3Beg,
		DayModel_S3B3End.Name:         DayModel_S3B3End,
		DayModel_S3B4Beg.Name:         DayModel_S3B4Beg,
		DayModel_S3B4End.Name:         DayModel_S3B4End,
		DayModel_S3B5Beg.Name:         DayModel_S3B5Beg,
		DayModel_S3B5End.Name:         DayModel_S3B5End,
		DayModel_LastModify.Name:      DayModel_LastModify,
		DayModel_LastUser.Name:        DayModel_LastUser,
		DayModel_CreateTime.Name:      DayModel_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Abrev", "HexColor", "S1Toggle", "S2Toggle", "S3Toggle", "WorkShiftToggle", "S1_WorkShiftNr", "S2_WorkShiftNr", "S3_WorkShiftNr", "S1_Beg", "S1_End", "S1_Len", "S2_Beg", "S2_End", "S2_Len", "S3_Beg", "S3_End", "S3_Len", "Dm_Len", "S1_B1_Beg", "S1_B1_End", "S1_B2_Beg", "S1_B2_End", "S1_B3_Beg", "S1_B3_End", "S1_B4_Beg", "S1_B4_End", "S1_B5_Beg", "S1_B5_End", "S2_B1_Beg", "S2_B1_End", "S2_B2_Beg", "S2_B2_End", "S2_B3_Beg", "S2_B3_End", "S2_B4_Beg", "S2_B4_End", "S2_B5_Beg", "S2_B5_End", "S3_B1_Beg", "S3_B1_End", "S3_B2_Beg", "S3_B2_End", "S3_B3_Beg", "S3_B3_End", "S3_B4_Beg", "S3_B4_End", "S3_B5_Beg", "S3_B5_End", "LastUser"})
